%{?nodejs_find_provides_and_requires}

Name:           nodejs-cliui
Version:        4.0.0
Release:        %mkrel 6
Summary:        easily create complex multi-column command-line-interfaces
License:        ISC
Group:          Development/Other
Url:            https://github.com/bcoe/cliui
Source0:        https://registry.npmjs.org/cliui/-/cliui-%{version}.tgz
BuildRequires:  nodejs
BuildRequires:  nodejs-packaging
BuildRequires:  npm(center-align)
BuildRequires:  npm(right-align)
BuildRequires:  npm(wordwrap)
BuildArch:      noarch


%description
easily create complex multi-column command-line-interfaces

%prep
%setup -qn package

%nodejs_fixdep wrap-ansi ^3.0.
%nodejs_fixdep align-text ^1.0.
%nodejs_fixdep kind-of ^6.0.

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/cliui
cp -pr  index.js package.json %{buildroot}%{nodejs_sitelib}/cliui

%{nodejs_symlink_deps}

%files
%doc README.md
%{nodejs_sitelib}/cliui


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 4.0.0-6.mga9
+ Revision: 1828067
- Mageia 9 Mass Rebuild

* Mon May 04 2020 joequant <joequant> 4.0.0-5.mga9
+ Revision: 1580135
- redo deps
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 4.0.0-3.mga8
+ Revision: 1280184
- Mageia 7 Mass Rebuild

* Sun Apr 29 2018 kekepower <kekepower> 4.0.0-2.mga7
+ Revision: 1223437
- Fix dep for kind-of
- Fix dep for wrap-ansi

* Fri Apr 13 2018 kekepower <kekepower> 4.0.0-1.mga7
+ Revision: 1218116
- Update to version 4.0.0

* Sat Feb 20 2016 umeabot <umeabot> 3.0.3-2.mga6
+ Revision: 972296
- Mageia 6 Mass Rebuild
+ spuhler <spuhler>
- upgrade to vers. 3.0.3

* Sun Nov 01 2015 spuhler <spuhler> 2.1.0-1.mga6
+ Revision: 897264
- fixed group
- local srpm build based on Opensuse

